Bug 139000 - Visual artifacts in gradient while scrolling up and down
Summary: Visual artifacts in gradient while scrolling up and down
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-17 15:46 UTC by Xisco Faulí
Modified: 2021-06-04 14:40 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (29.31 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-12-17 15:46 UTC, Xisco Faulí
Details
screencast (391.84 KB, video/x-matroska)
2020-12-17 15:48 UTC, Xisco Faulí
Details
Sample ODT (8.75 KB, application/vnd.oasis.opendocument.text)
2021-05-21 12:44 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-12-17 15:46:42 UTC
Created attachment 168258 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Scroll down and up

-> Visual artifacts. See screencast

Reproduced in

Version: 7.2.0.0.alpha0+
Build ID: 8b3982681e98818388c09233960ad6eaacee205a
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 1 Xisco Faulí 2020-12-17 15:48:02 UTC
Created attachment 168259 [details]
screencast
Comment 2 Xisco Faulí 2020-12-17 15:49:14 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=20c09d351ee060bdde13d92d2bf86dd998cdb0cb

author	Tomaž Vajngerl <tomaz.vajngerl@collabora.co.uk>	2020-09-22 15:20:57 +0200
committer	Luboš Luňák <l.lunak@collabora.com>	2020-09-25 19:35:35 +0200
commit	20c09d351ee060bdde13d92d2bf86dd998cdb0cb (patch)
tree	20be340a0da3f306fbd1312fcc431f93f21d35c6
parent	f3ca55e78799934c19ae66a822397d98b7997fa9 (diff)
use vcl lin. gradient drawing in drawinglayer + cairo impl.

Bisected with: bibisect-linux64-7.2

Adding Cc: to Tomaž Vajngerl
Comment 3 Luboš Luňák 2021-05-21 09:50:58 UTC
Can you still reproduce the problem with current master? I've tried with gtk3, kf5 and skia and it works fine for me.
Comment 4 Aron Budea 2021-05-21 12:44:51 UTC
Created attachment 172229 [details]
Sample ODT

I can still reproduce the bug with the attached sample.
Comment 5 Aron Budea 2021-05-21 12:58:26 UTC
The bug with the originally reported bugdoc got resolved with bug 138959's fix. Technically this should've been a duplicate, but let's keep it for the still occurring issue, originating from the same commit.
Comment 6 Commit Notification 2021-05-21 14:54:37 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/9bf9fea0afadef0912d38f0d08b2bf2959569100

properly draw only parts of FillGradientPrimitive2D (tdf#139000)

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-05-21 17:35:48 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/887f1dbbda9dd371f52111c2f5a3bbbc67fc5615

properly draw only parts of FillGradientPrimitive2D (tdf#139000)

It will be available in 7.1.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Aron Budea 2021-05-21 18:27:17 UTC
Verified in LO Version: 7.2.0.0.alpha1+ (185f3e3c382e93be4e0588ac8a927ea3140bce91) / Ubuntu.
Thanks for fixing, Luboš!
Comment 9 Xisco Faulí 2021-05-24 09:13:24 UTC
Indeed, verified in

Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 42d2b2d55a27f11153ea1713737d93540a19211d
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 10 Commit Notification 2021-06-04 14:34:28 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-1-4":

https://git.libreoffice.org/core/commit/faf86ac0cbbf7c5910fada6e9026409990c01895

properly draw only parts of FillGradientPrimitive2D (tdf#139000)

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.